﻿using System;
using System.Collections.Generic;

namespace TravelAroundRussia.Models;

public partial class Tour
{
    public int Id { get; set; }

    public int TicketCount { get; set; }

    public string Name { get; set; } = null!;

    public string? Description { get; set; }

    public string? ImagePreview { get; set; }

    public decimal Price { get; set; }

    public int IsActual { get; set; }

    public string CountryCode { get; set; } = null!;

    public virtual Country CountryCodeNavigation { get; set; } = null!;

    public virtual ICollection<HotelOfTour> HotelOfTours { get; set; } = new List<HotelOfTour>();

    public virtual ICollection<TypeOfTour> TypeOfTours { get; set; } = new List<TypeOfTour>();
}
