﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelAroundRussia.ViewModels;

namespace TravelAroundRussia.Models
{
    /// <summary>
    /// Частичный класс для класса Hotel базы данных
    /// </summary>
    public partial class Hotel
    {
        /// <summary>
        /// Количество туров, которые подходят для данного отеля
        /// </summary>
        public int CountHotel
        {
            get
            {
                int count = MainWindowViewModel.baseConnection.HotelOfTours.Where(tb=>tb.HotelId == Id).Count();
                return count;
            }
        }
        /// <summary>
        /// Строка отображающая количество звезд отелей
        /// </summary>
        public string StarLine
        {
            get
            {
                string line = "";//строка
                int i = 0;//счетчик звезд [индекс]
                while(i < 5)//ставим звезды пока их не будет 5
                {
                    if (i < CountOfStars) line += "★";//если индекс меньше количества звезд, то полная звезда
                    else line += "☆";//иначе полая звезда
                    i++;//увеличиваем счетчик
                }
                return line;
            }
        }
    }
}
