using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using MsBox.Avalonia;
using MsBox.Avalonia.Enums;
using ReactiveUI;
using TravelAroundRussia.Models;

namespace TravelAroundRussia.ViewModels
{
    /// <summary>
    ///  [/]  
    /// </summary>
    public class EditHotelPageViewModel : ReactiveObject
    {
        bool edit = false;// 
        string headerPage = "";//  
        string countStar = "0";// [,        ]
        bool tourCheck = false;//      
        Hotel hotel = new Hotel();//  
        List<Country> countries = MainWindowViewModel.baseConnection.Countries.ToList();//   
        /// <summary>
        ///   
        /// </summary>       
        public EditHotelPageViewModel()
        {
            HeaderPage = " ";// 
            hotel.Id = 0;// id 
        }
        /// <summary>
        ///    [id ]
        /// </summary>
        /// <param name="id">Id </param>
        public EditHotelPageViewModel(int id)
        {
            HeaderPage = " ";// 
            Hotel = MainWindowViewModel.baseConnection.Hotels.First(tb => tb.Id == id);// 
            Star = Hotel.CountOfStars.ToString();//    
            Edit = true;//  
        }
        /// <summary>
        ///  ,       
        /// </summary>
        public string HeaderPage { get => headerPage; set => this.RaiseAndSetIfChanged(ref headerPage, value); }
        /// <summary>
        ///   ,       
        /// </summary>
        public string Star{ get => countStar;set => this.RaiseAndSetIfChanged(ref countStar, value);}
        /// <summary>
        ///   [ ],   
        /// </summary>
        public List<String> Countries { get => countries.Select(tb => tb.Name).ToList(); }
        /// <summary>
        ///   
        /// </summary>
        public string SelectedCountry
        {
            //  ,   ,      
            get =>(Hotel.CountryCode == null)? "":countries.First(tb => tb.Code == Hotel.CountryCode).Name;                   
            //   ,   ,     
            set => Hotel.CountryCode = (value != null) ? countries.First(tb => tb.Name == value).Code : "";
        }
        /// <summary>
        ///   
        /// </summary>
        public string Name
        {
            //     
            get => (Hotel.Name != null) ? Hotel.Name : "";
            //  
            set => Hotel.Name = value;
        }
        /// <summary>
        ///   
        /// </summary>
        public string Description
        {
            //     
            get => (Hotel.Description != null) ? Hotel.Description : "";
            //  
            set => Hotel.Description = value;
        }
        /// <summary>
        ///    ,       
        /// </summary>
        public bool TourCheck { get => tourCheck; set => this.RaiseAndSetIfChanged(ref tourCheck, value); }
        /// <summary>
        ///   [  ]
        /// </summary>
        public Hotel Hotel { get => hotel; set => hotel = value; }
        /// <summary>
        ///    [  ]
        /// </summary>
        public bool Edit { get => edit; set => edit = value; }
    }
}